import { APIClient } from "./ApiClient";

export interface UploadedFile {
  id: number;
  time_create: number;
  mime_type: string;
  sha512: string;
  file_size: number;
  file_name: string;
  user_id: number;
}

export class FileApi {
  /**
   * Upload a new file
   */
  static async UploadFile(file: File): Promise<UploadedFile> {
    const fd = new FormData();
    fd.append("file", file);
    return (
      await APIClient.exec({
        method: "POST",
        uri: "/file",
        formData: fd,
      })
    ).data;
  }
}
